<div class="row">
  <div class="col-6 m-auto">
  <div class="card m-auto">
    <div class="card-header">
      Register
    </div>
    <div class="card-body">
      <form [formGroup]="registrationForm" (ngSubmit)="onSubmit()">
        <div class="form-group col-12">
            <label for="name" class="form-label">Name</label>
            <input type="text" class="form-control"
            formControlName="userName"
            >
            <span *ngIf="!userName.valid && (userName.touched || userSubmitted)" class="error-block">
              Please provide a name
            </span>
        </div>

        <div class="form-group col-12">
          <label for="email" class="form-label">Email</label>
          <input type="text" class="form-control" formControlName="email">
          <span *ngIf="!email.valid && (email.touched || userSubmitted)" class="error-block">
            <span *ngIf="email.hasError('required')">
              Please provide your email
            </span>
            <span *ngIf="email.hasError('email')">
              Please provide a valid email format
            </span>
          </span>
        </div>

        <div class="form-group col-12">
          <label for="password" class="form-label">Password</label>
          <input type="password" class="form-control" formControlName="password">
          <span *ngIf="!password.valid && (password.touched || userSubmitted)" class="error-block">
            <span *ngIf="password.hasError('required')">
              Please provide a password
            </span>
            <span *ngIf="password.hasError('minlength')">
              Your password must not be less than 8 characters
            </span>
          </span>
        </div>

        <div class="form-group col-12">
          <label for="password" class="form-label">Confirm Password</label>
          <input type="password" class="form-control" formControlName="confirmPassword">
          <span *ngIf="!confirmPassword.valid && (confirmPassword.touched || userSubmitted)" class="error-block">
            <span *ngIf="confirmPassword.hasError('required')">
              Please <strong>confirm your password</strong>
            </span>
          </span>
          <span *ngIf="registrationForm.hasError('notmatched') && confirmPassword.valid">
              <strong>The input does not match your password</strong>
            </span>
        </div>

        <div class="form-group col-12">
          <label for="mobile" class="form-label">Possession Certificate Number</label>
          <input type="text" class="form-control" formControlName="possessionCertificateNumber">
          <span *ngIf="!possessionCertificateNumber.valid && (possessionCertificateNumber.touched || userSubmitted)" class="error-block">
            <span *ngIf="possessionCertificateNumber.hasError('required')">
              Please provide your valid possession certificate number
            </span>
          </span>
        </div>

        <div class="form-group col-12">
          <button type="submit" class="btn btn-primary">Save</button>
          <button type="reset" class="btn btn-secondary m-2">Cancel</button>
        </div>
      </form>
    </div>
  </div>
  </div>
</div>
